import { VideoMetadata } from "./types";
/**
 * Parse progress line from ffmpeg stderr
 *
 * @param {String} line progress line
 * @return progress object
 * @private
 */
export declare function parseProgressLine(line: any, _metadata: VideoMetadata): any;
/**
 * Progress data sent to stdout pipe via `-progress pipe:1` is different than when
 * sent to the stderr command line output with `-progress -`.
 * @param line
 * @param _metadata
 * @returns
 */
export declare function parseProgressStdout(line: any, _metadata: VideoMetadata): any;
/**
 * Extract progress data from ffmpeg stderr and emit 'progress' event if appropriate
 *
 * @param {FfmpegCommand} command event emitter
 * @param {String} stderrLine ffmpeg stderr data
 * @private
 */
/**
 * Parse error line from ffmpeg stderr
 * @param line
 */
export declare function parseErrorLine(line: string): string | undefined;
